Bug 180305 - internal compiler error: in write_type, at cp/mangle.c:1651
internal compiler error: in write_type, at cp/mangle.c:1651
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-06 19:59 EST by Neal Becker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-07 11:15:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source (74.39 KB, application/x-bzip2)
2006-02-06 20:01 EST, Neal Becker
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 11078 None None None Never

  None (edit)
Description Neal Becker 2006-02-06 19:59:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux) KHTML/3.5.1 (like Gecko)

Description of problem:
See attached  

Version-Release number of selected component (if applicable):
gcc version 4.1.0 20060131 (Red Hat 4.1.0-0.20)

How reproducible:
Always

Steps to Reproduce:
1.gcc  
2.  
3.  
    

Additional info:
Comment 1 Neal Becker 2006-02-06 20:01:53 EST
Created attachment 124298 [details]
Preprocessed source
Comment 2 Jakub Jelinek 2006-02-07 11:15:08 EST
This is a well known very old problem.  Simply avoid using typeof in template
arguments.

Note You need to log in before you can comment on or make changes to this bug.